{"openapi":"3.0.4","info":{"title":"Get the status of a specific run of a worker with any relevant results","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/workflow"}],"paths":{"/api/workers/{runId}/$result":{"get":{"tags":["Workers"],"summary":"Get the status of a specific run of a worker with any relevant results","operationId":"GetWorkerResult","parameters":[{"name":"runId","in":"path","description":"The ID returned when calling Run Worker","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/GetWorkerResultResponse"},"example":{"workerStatus":"CompletedNoResults","results":[{"HttpStatusCode":"200"}],"statusDetail":"WorkerStatus"}},"text/plain":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/GetWorkerResultResponse"},"example":{"workerStatus":"CompletedNoResults","results":[{"HttpStatusCode":"200"}],"statusDetail":"WorkerStatus"}},"text/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/GetWorkerResultResponse"},"example":{"workerStatus":"CompletedNoResults","results":[{"HttpStatusCode":"200"}],"statusDetail":"WorkerStatus"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}